/* colors
dark #003844
med-dark #006C67
med #F194B4
light #FFEBC6*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Optima', sans-serif;
}

.nav-bar {
  background-color: #003844;
  font-size: large;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  color: #FFEBC6;
  padding: 20px;
  border: 1px solid black;
  margin: 0;
}
.nav-bar a {
  color: #FFEBC6;
  text-decoration: none;
}
.nav-bar a:hover {
  color: lightsalmon;
}

.main-header {
  padding: 16px 30px;
}

body {
  background-color: #eeeeee;
}
main {
  line-height: 1.6;
  margin: 0 auto 50px auto;
  max-width: 750px;
  color: #444;
  background-color: #eeeeee;
}

.home-body {
  display: grid;
  grid-template-columns: 1fr 3fr;
  gap: 10px;
  padding: 15px;
  grid-template-areas:
  "sidebar main main main";
}
.side {
  grid-area: sidebar;
}
.grid-main {
  grid-area: main;
}
.home-text {
  grid-column-start: 2;
}
.main-table {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-areas:
  "table table button";
  height: 100%;

}
.content-table {
  border-collapse: collapse;
  margin: 25px 25px;
  font-size: 0.9em;
  min-width: 400px;
  border-radius: 5px 5px 0 0;
  overflow: hidden;
  box-shadow: 0 0 20px rgba(0,0,0,.15);
}
.content-table thead tr{
  background-color: #006C67;
  text-align: left;
  color: white;
}
.content-table a {
  text-decoration: none;
  color: black;
}
.content-table th, td {
  padding: 12px 15px;
}
.content-table tbody tr {
  border-bottom: 1px solid #dddddd;
}
.content-table tbody tr:nth-child(even) {
  background-color: #f3f3f3;
}
.content-table tbody tr:nth-child(even):hover {
  background-color: #F194B4;
  color: white;
}
.content-table tbody tr:hover {
  background-color: #F194B4;
  color: white;
}
.content-table tbody tr a:hover {
  color:white;
}
.content-table tbody tr:last-child {
  border-bottom: 2px solid #006C67;
}
.table {
  grid-area: table;
}
.button {
  grid-area: button;
  grid-column-start: 2;
}
.new-button {
  margin: 25px 25px;
  padding: 25px;
  border: 1px solid black;
  border-radius: 15px;
  overflow: hidden;
  background-color: #F194B4;
  width: 25%;
  box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, .15);
  text-align: center;
  font-size: larger;
}
#master-list-button {
  width: 50%;
}
#student-view-list-button {
  width: 50%;
}
.new-button:hover {
  box-shadow: none;
  background-color: #f194b5e0;
  color: #FFEBC6;
  cursor: pointer;
}
.new-button a {
  color: black;
  text-decoration: none;
}
.new-button a:hover {
  color: white;
}

.form {
  display: grid;
  grid-template-columns: 1fr, 2fr, auto;
}
.form-button {
  padding: 12px;
  margin: 3px;
  width: 33%;
  font-weight: 400;
}
.form-button:hover{
  cursor: pointer;
  padding: 14px;
  font-weight: 200;
}
footer {
  display: grid;
  position: sticky;
  bottom: 0;
  grid-template-columns: 1fr 1fr;
  border: 1px solid black;
  margin: 15px 0;
  padding: 15px;
  background-color: #FFEBC6;
}
